Player = class('Player')

function Player:initialize()
	self.x = 200-(gr.width-1024)/2
	self.y = 400-(gr.height-1024)/2
	self.sprite = love.graphics.newImage("character.png")
end

function Player:update(dt)
	local changex = 0
	local changey = 0
	local speed = 300
	
	-- [[ INPUTS ]] --
	if love.keyboard.isDown("lshift")then
		speed = 30
	else speed = 300
	end
	if love.keyboard.isDown("right") then
		self.x = self.x + speed * dt
		changex = -speed * dt
	end
	if love.keyboard.isDown("left") then
		self.x = self.x - speed * dt
		changex = speed * dt
	end
	if love.keyboard.isDown("up") then
		self.y = self.y - speed * dt
		changey = speed * dt
	end
	if love.keyboard.isDown("down") then
		self.y = self.y + speed * dt
		changey = -speed * dt
	end
	-- [[ END OF INPUTS ]] --
	
	-- Check for collision, if we collide, put the player
	-- where they were before the collision.
	if game.map:checkCollision(self.x,self.y) then
		self.x = self.x + changex
		self.y = self.y + changey		
	end
end

function Player:draw()
	--love.graphics.draw(self.sprite,self.x,self.y)
	love.graphics.draw(self.sprite,gr.width/2-50,gr.height/2-120)
	--love.graphics.setColor(0,0,0)
	love.graphics.rectangle('fill',gr.width/2,gr.height/2, 10,10 )
	--love.graphics.setColor(255,255,255)
	--print(6*game.map.tileset.tilew, 2*game.map.tileset.tileh)
	--print(gr.width/2, gr.height/2)
end