
Background = class('Background')

function Background:initialize()
  super.initialize(self)
  self.time = 0
  self.logo = {}
  self.logo.y = 0
  self.logo.r = 0
  self.logo.img = love.graphics.newImage('logo/message-in-a-bottle.png')
  self.logo.img:setFilter('linear','nearest')
  self.waterh = 150
end

function Background:update(dt)
  self.time = self.time + dt
  self.waterh = 150 + math.sin(self.time)*3
  print(math.sin(self.time*3)*2)
  self.logo.y = self.waterh-140 + math.sin(self.time*3.153)*2
  self.logo.r = math.sin(self.time*2.684)*0.05
  
end

function Background:draw()
  local logo = self.logo
  local h = self.waterh
  love.graphics.setColor(255,255,255)
  love.graphics.draw(logo.img,300,logo.y+h,logo.r,8,8,16,16)
  love.graphics.setColor(0,0,255,160)
  love.graphics.rectangle("fill",0,h,630,300)
end
